package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * cyymall_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class CyymallOrder implements Serializable {
    private Integer id;

    private Integer storeId;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单总费用(包含运费）
     */
    private BigDecimal totalPrice;

    /**
     * 实际支付总费用(含运费）
     */
    private BigDecimal payPrice;

    /**
     * 运费
     */
    private BigDecimal expressPrice;

    /**
     * 收货人姓名
     */
    private String name;

    /**
     * 收货人手机
     */
    private String mobile;

    /**
     * 收货地址
     */
    private String address;

    /**
     * 订单备注
     */
    private String remark;

    /**
     * 支付状态：0=未支付，1=已支付
     */
    private Short isPay;

    /**
     * 支付方式：1=微信支付
     */
    private Short payType;

    /**
     * 支付时间
     */
    private Integer payTime;

    /**
     * 发货状态：0=未发货，1=已发货
     */
    private Short isSend;

    /**
     * 发货时间
     */
    private Integer sendTime;

    /**
     * 物流公司
     */
    private String express;

    private String expressNo;

    /**
     * 确认收货状态：0=未确认，1=已确认收货
     */
    private Short isConfirm;

    /**
     * 确认收货时间
     */
    private Integer confirmTime;

    /**
     * 是否已评价：0=未评价，1=已评价
     */
    private Short isComment;

    /**
     * 是否申请取消订单：0=否，1=申请取消订单
     */
    private Short applyDelete;

    private Integer addtime;

    private Short isDelete;

    /**
     * 是否发放佣金
     */
    private Short isPrice;

    /**
     * 用户上级ID
     */
    private Integer parentId;

    /**
     * 一级佣金
     */
    private BigDecimal firstPrice;

    /**
     * 二级佣金
     */
    private BigDecimal secondPrice;

    /**
     * 三级佣金
     */
    private BigDecimal thirdPrice;

    /**
     * 优惠券抵消金额
     */
    private BigDecimal couponSubPrice;

    /**
     * 是否到店自提 0--否 1--是
     */
    private Integer isOffline;

    /**
     * 核销员user_id
     */
    private Integer clerkId;

    /**
     * 是否取消
     */
    private Short isCancel;

    /**
     * 修改前的价格
     */
    private BigDecimal beforeUpdatePrice;

    /**
     * 自提门店ID
     */
    private Integer shopId;

    /**
     * 会员折扣
     */
    private BigDecimal discount;

    /**
     * 使用的优惠券ID
     */
    private Integer userCouponId;

    /**
     * 是否发放积分【1=> 已发放 ， 0=> 未发放】
     */
    private Short giveIntegral;

    /**
     * 用户上二级ID
     */
    private Integer parentId1;

    /**
     * 用户上三级ID
     */
    private Integer parentId2;

    /**
     * 是否超过售后时间
     */
    private Integer isSale;

    /**
     * 版本
     */
    private String version;

    /**
     * 减免的运费
     */
    private BigDecimal expressPrice1;

    private Short isRecycle;

    /**
     * 自购返利
     */
    private BigDecimal rebate;

    /**
     * 价格修改前的运费
     */
    private BigDecimal beforeUpdateExpress;

    /**
     * 入驻商户id
     */
    private Integer mchId;

    /**
     * 合并订单的id
     */
    private Integer orderUnionId;

    /**
     * 是否已转入商户账户：0=否，1=是
     */
    private Short isTransfer;

    /**
     * 0:普通订单 1大转盘订单
     */
    private Integer type;

    /**
     * 发放佣金的金额
     */
    private BigDecimal sharePrice;

    /**
     * 是否显示 0--不显示 1--显示
     */
    private Short isShow;

    /**
     * 货币：活力币
     */
    private BigDecimal currency;

    /**
     * 订单来源：1、公众号或网站，2、app，3、小程序
     */
    private Boolean orderOrigin;

    /**
     * 配送员id
     */
    private Integer deliveryId;

    /**
     * 配送状态1已分配配送员2配送中3已配送
     */
    private Boolean deliveryStatus;

    /**
     * 返佣状态0未开始1进行中2已完成
     */
    private Boolean fyStatus;

    /**
     * 返佣金额
     */
    private BigDecimal fyjine;

    /**
     * 每日返还
     */
    private BigDecimal fysingle;

    /**
     * 商家返佣金额
     */
    private BigDecimal mchFyjine;

    /**
     * 商家每日返佣
     */
    private BigDecimal mchFysingle;

    /**
     * 0未1已
     */
    private Boolean isFan;

    /**
     * 0否1是
     */
    private Boolean isDada;

    /**
     * 是否已生成团长配送单
     */
    private Integer shopPeisong;

    /**
     * 是否是线下购物车下的订单
     */
    private Boolean isOpenOffline;

    /**
     * 供货商id
     */
    private Integer supplierId;

    /**
     * 是否已转入商户账户：0=否，1=是
     */
    private Boolean isSupTransfer;

    /**
     * 商品打包费
     */
    private BigDecimal dabaoPrice;

    /**
     * 结算金额
     */
    private BigDecimal settlementAmount;

    /**
     * 是否结算0-未结算 1- 已结算
     */
    private Short isSettlement;

    /**
     * 结算时间
     */
    private Integer settlementTime;

    /**
     * 是否是入驻商门店, 配合shop_id来判断
     */
    private Boolean isMchShop;

    /**
     * 是否分账
     */
    private Boolean isDivideMoney;

    /**
     * 微信回调交易单号
     */
    private String transactionId;

    /**
     * 实际支付用户id
     */
    private Integer payUserId;

    /**
     * 实际支付方式  1=微信支付 2=货到付款 3=余额支付 5=连连支付
     */
    private Boolean payTypeTrue;

    /**
     * 是否是抖品订单：0=否，1=是
     */
    private Integer isVgoods;

    /**
     * 首单减免金额
     */
    private BigDecimal reductionPrice;

    /**
     * 满减优惠
     */
    private BigDecimal minusPrice;

    /**
     * 订单来源
     */
    private Integer orderFrom;

    /**
     * 新满减活动金额
     */
    private BigDecimal discountPrice;

    /**
     * 满折
     */
    private BigDecimal discountNum;

    /**
     * 满赠商品ID
     */
    private Integer giveGoodsId;

    /**
     * 世纪恒通券码
     */
    private String couponRecordId;

    /**
     * 身份证证件号
     */
    private String idCardNo;

    /**
     * 退款时间
     */
    private Integer refundTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getExpressPrice() {
        return expressPrice;
    }

    public void setExpressPrice(BigDecimal expressPrice) {
        this.expressPrice = expressPrice;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Short getIsPay() {
        return isPay;
    }

    public void setIsPay(Short isPay) {
        this.isPay = isPay;
    }

    public Short getPayType() {
        return payType;
    }

    public void setPayType(Short payType) {
        this.payType = payType;
    }

    public Integer getPayTime() {
        return payTime;
    }

    public void setPayTime(Integer payTime) {
        this.payTime = payTime;
    }

    public Short getIsSend() {
        return isSend;
    }

    public void setIsSend(Short isSend) {
        this.isSend = isSend;
    }

    public Integer getSendTime() {
        return sendTime;
    }

    public void setSendTime(Integer sendTime) {
        this.sendTime = sendTime;
    }

    public String getExpress() {
        return express;
    }

    public void setExpress(String express) {
        this.express = express;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }

    public Short getIsConfirm() {
        return isConfirm;
    }

    public void setIsConfirm(Short isConfirm) {
        this.isConfirm = isConfirm;
    }

    public Integer getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(Integer confirmTime) {
        this.confirmTime = confirmTime;
    }

    public Short getIsComment() {
        return isComment;
    }

    public void setIsComment(Short isComment) {
        this.isComment = isComment;
    }

    public Short getApplyDelete() {
        return applyDelete;
    }

    public void setApplyDelete(Short applyDelete) {
        this.applyDelete = applyDelete;
    }

    public Integer getAddtime() {
        return addtime;
    }

    public void setAddtime(Integer addtime) {
        this.addtime = addtime;
    }

    public Short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Short isDelete) {
        this.isDelete = isDelete;
    }

    public Short getIsPrice() {
        return isPrice;
    }

    public void setIsPrice(Short isPrice) {
        this.isPrice = isPrice;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public BigDecimal getFirstPrice() {
        return firstPrice;
    }

    public void setFirstPrice(BigDecimal firstPrice) {
        this.firstPrice = firstPrice;
    }

    public BigDecimal getSecondPrice() {
        return secondPrice;
    }

    public void setSecondPrice(BigDecimal secondPrice) {
        this.secondPrice = secondPrice;
    }

    public BigDecimal getThirdPrice() {
        return thirdPrice;
    }

    public void setThirdPrice(BigDecimal thirdPrice) {
        this.thirdPrice = thirdPrice;
    }

    public BigDecimal getCouponSubPrice() {
        return couponSubPrice;
    }

    public void setCouponSubPrice(BigDecimal couponSubPrice) {
        this.couponSubPrice = couponSubPrice;
    }

    public Integer getIsOffline() {
        return isOffline;
    }

    public void setIsOffline(Integer isOffline) {
        this.isOffline = isOffline;
    }

    public Integer getClerkId() {
        return clerkId;
    }

    public void setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
    }

    public Short getIsCancel() {
        return isCancel;
    }

    public void setIsCancel(Short isCancel) {
        this.isCancel = isCancel;
    }

    public BigDecimal getBeforeUpdatePrice() {
        return beforeUpdatePrice;
    }

    public void setBeforeUpdatePrice(BigDecimal beforeUpdatePrice) {
        this.beforeUpdatePrice = beforeUpdatePrice;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public Integer getUserCouponId() {
        return userCouponId;
    }

    public void setUserCouponId(Integer userCouponId) {
        this.userCouponId = userCouponId;
    }

    public Short getGiveIntegral() {
        return giveIntegral;
    }

    public void setGiveIntegral(Short giveIntegral) {
        this.giveIntegral = giveIntegral;
    }

    public Integer getParentId1() {
        return parentId1;
    }

    public void setParentId1(Integer parentId1) {
        this.parentId1 = parentId1;
    }

    public Integer getParentId2() {
        return parentId2;
    }

    public void setParentId2(Integer parentId2) {
        this.parentId2 = parentId2;
    }

    public Integer getIsSale() {
        return isSale;
    }

    public void setIsSale(Integer isSale) {
        this.isSale = isSale;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public BigDecimal getExpressPrice1() {
        return expressPrice1;
    }

    public void setExpressPrice1(BigDecimal expressPrice1) {
        this.expressPrice1 = expressPrice1;
    }

    public Short getIsRecycle() {
        return isRecycle;
    }

    public void setIsRecycle(Short isRecycle) {
        this.isRecycle = isRecycle;
    }

    public BigDecimal getRebate() {
        return rebate;
    }

    public void setRebate(BigDecimal rebate) {
        this.rebate = rebate;
    }

    public BigDecimal getBeforeUpdateExpress() {
        return beforeUpdateExpress;
    }

    public void setBeforeUpdateExpress(BigDecimal beforeUpdateExpress) {
        this.beforeUpdateExpress = beforeUpdateExpress;
    }

    public Integer getMchId() {
        return mchId;
    }

    public void setMchId(Integer mchId) {
        this.mchId = mchId;
    }

    public Integer getOrderUnionId() {
        return orderUnionId;
    }

    public void setOrderUnionId(Integer orderUnionId) {
        this.orderUnionId = orderUnionId;
    }

    public Short getIsTransfer() {
        return isTransfer;
    }

    public void setIsTransfer(Short isTransfer) {
        this.isTransfer = isTransfer;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getSharePrice() {
        return sharePrice;
    }

    public void setSharePrice(BigDecimal sharePrice) {
        this.sharePrice = sharePrice;
    }

    public Short getIsShow() {
        return isShow;
    }

    public void setIsShow(Short isShow) {
        this.isShow = isShow;
    }

    public BigDecimal getCurrency() {
        return currency;
    }

    public void setCurrency(BigDecimal currency) {
        this.currency = currency;
    }

    public Boolean getOrderOrigin() {
        return orderOrigin;
    }

    public void setOrderOrigin(Boolean orderOrigin) {
        this.orderOrigin = orderOrigin;
    }

    public Integer getDeliveryId() {
        return deliveryId;
    }

    public void setDeliveryId(Integer deliveryId) {
        this.deliveryId = deliveryId;
    }

    public Boolean getDeliveryStatus() {
        return deliveryStatus;
    }

    public void setDeliveryStatus(Boolean deliveryStatus) {
        this.deliveryStatus = deliveryStatus;
    }

    public Boolean getFyStatus() {
        return fyStatus;
    }

    public void setFyStatus(Boolean fyStatus) {
        this.fyStatus = fyStatus;
    }

    public BigDecimal getFyjine() {
        return fyjine;
    }

    public void setFyjine(BigDecimal fyjine) {
        this.fyjine = fyjine;
    }

    public BigDecimal getFysingle() {
        return fysingle;
    }

    public void setFysingle(BigDecimal fysingle) {
        this.fysingle = fysingle;
    }

    public BigDecimal getMchFyjine() {
        return mchFyjine;
    }

    public void setMchFyjine(BigDecimal mchFyjine) {
        this.mchFyjine = mchFyjine;
    }

    public BigDecimal getMchFysingle() {
        return mchFysingle;
    }

    public void setMchFysingle(BigDecimal mchFysingle) {
        this.mchFysingle = mchFysingle;
    }

    public Boolean getIsFan() {
        return isFan;
    }

    public void setIsFan(Boolean isFan) {
        this.isFan = isFan;
    }

    public Boolean getIsDada() {
        return isDada;
    }

    public void setIsDada(Boolean isDada) {
        this.isDada = isDada;
    }

    public Integer getShopPeisong() {
        return shopPeisong;
    }

    public void setShopPeisong(Integer shopPeisong) {
        this.shopPeisong = shopPeisong;
    }

    public Boolean getIsOpenOffline() {
        return isOpenOffline;
    }

    public void setIsOpenOffline(Boolean isOpenOffline) {
        this.isOpenOffline = isOpenOffline;
    }

    public Integer getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    public Boolean getIsSupTransfer() {
        return isSupTransfer;
    }

    public void setIsSupTransfer(Boolean isSupTransfer) {
        this.isSupTransfer = isSupTransfer;
    }

    public BigDecimal getDabaoPrice() {
        return dabaoPrice;
    }

    public void setDabaoPrice(BigDecimal dabaoPrice) {
        this.dabaoPrice = dabaoPrice;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public Short getIsSettlement() {
        return isSettlement;
    }

    public void setIsSettlement(Short isSettlement) {
        this.isSettlement = isSettlement;
    }

    public Integer getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(Integer settlementTime) {
        this.settlementTime = settlementTime;
    }

    public Boolean getIsMchShop() {
        return isMchShop;
    }

    public void setIsMchShop(Boolean isMchShop) {
        this.isMchShop = isMchShop;
    }

    public Boolean getIsDivideMoney() {
        return isDivideMoney;
    }

    public void setIsDivideMoney(Boolean isDivideMoney) {
        this.isDivideMoney = isDivideMoney;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getPayUserId() {
        return payUserId;
    }

    public void setPayUserId(Integer payUserId) {
        this.payUserId = payUserId;
    }

    public Boolean getPayTypeTrue() {
        return payTypeTrue;
    }

    public void setPayTypeTrue(Boolean payTypeTrue) {
        this.payTypeTrue = payTypeTrue;
    }

    public Integer getIsVgoods() {
        return isVgoods;
    }

    public void setIsVgoods(Integer isVgoods) {
        this.isVgoods = isVgoods;
    }

    public BigDecimal getReductionPrice() {
        return reductionPrice;
    }

    public void setReductionPrice(BigDecimal reductionPrice) {
        this.reductionPrice = reductionPrice;
    }

    public BigDecimal getMinusPrice() {
        return minusPrice;
    }

    public void setMinusPrice(BigDecimal minusPrice) {
        this.minusPrice = minusPrice;
    }

    public Integer getOrderFrom() {
        return orderFrom;
    }

    public void setOrderFrom(Integer orderFrom) {
        this.orderFrom = orderFrom;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public BigDecimal getDiscountNum() {
        return discountNum;
    }

    public void setDiscountNum(BigDecimal discountNum) {
        this.discountNum = discountNum;
    }

    public Integer getGiveGoodsId() {
        return giveGoodsId;
    }

    public void setGiveGoodsId(Integer giveGoodsId) {
        this.giveGoodsId = giveGoodsId;
    }

    public String getCouponRecordId() {
        return couponRecordId;
    }

    public void setCouponRecordId(String couponRecordId) {
        this.couponRecordId = couponRecordId;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public Integer getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Integer refundTime) {
        this.refundTime = refundTime;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CyymallOrder other = (CyymallOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getPayPrice() == null ? other.getPayPrice() == null : this.getPayPrice().equals(other.getPayPrice()))
            && (this.getExpressPrice() == null ? other.getExpressPrice() == null : this.getExpressPrice().equals(other.getExpressPrice()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getMobile() == null ? other.getMobile() == null : this.getMobile().equals(other.getMobile()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getIsPay() == null ? other.getIsPay() == null : this.getIsPay().equals(other.getIsPay()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getIsSend() == null ? other.getIsSend() == null : this.getIsSend().equals(other.getIsSend()))
            && (this.getSendTime() == null ? other.getSendTime() == null : this.getSendTime().equals(other.getSendTime()))
            && (this.getExpress() == null ? other.getExpress() == null : this.getExpress().equals(other.getExpress()))
            && (this.getExpressNo() == null ? other.getExpressNo() == null : this.getExpressNo().equals(other.getExpressNo()))
            && (this.getIsConfirm() == null ? other.getIsConfirm() == null : this.getIsConfirm().equals(other.getIsConfirm()))
            && (this.getConfirmTime() == null ? other.getConfirmTime() == null : this.getConfirmTime().equals(other.getConfirmTime()))
            && (this.getIsComment() == null ? other.getIsComment() == null : this.getIsComment().equals(other.getIsComment()))
            && (this.getApplyDelete() == null ? other.getApplyDelete() == null : this.getApplyDelete().equals(other.getApplyDelete()))
            && (this.getAddtime() == null ? other.getAddtime() == null : this.getAddtime().equals(other.getAddtime()))
            && (this.getIsDelete() == null ? other.getIsDelete() == null : this.getIsDelete().equals(other.getIsDelete()))
            && (this.getIsPrice() == null ? other.getIsPrice() == null : this.getIsPrice().equals(other.getIsPrice()))
            && (this.getParentId() == null ? other.getParentId() == null : this.getParentId().equals(other.getParentId()))
            && (this.getFirstPrice() == null ? other.getFirstPrice() == null : this.getFirstPrice().equals(other.getFirstPrice()))
            && (this.getSecondPrice() == null ? other.getSecondPrice() == null : this.getSecondPrice().equals(other.getSecondPrice()))
            && (this.getThirdPrice() == null ? other.getThirdPrice() == null : this.getThirdPrice().equals(other.getThirdPrice()))
            && (this.getCouponSubPrice() == null ? other.getCouponSubPrice() == null : this.getCouponSubPrice().equals(other.getCouponSubPrice()))
            && (this.getIsOffline() == null ? other.getIsOffline() == null : this.getIsOffline().equals(other.getIsOffline()))
            && (this.getClerkId() == null ? other.getClerkId() == null : this.getClerkId().equals(other.getClerkId()))
            && (this.getIsCancel() == null ? other.getIsCancel() == null : this.getIsCancel().equals(other.getIsCancel()))
            && (this.getBeforeUpdatePrice() == null ? other.getBeforeUpdatePrice() == null : this.getBeforeUpdatePrice().equals(other.getBeforeUpdatePrice()))
            && (this.getShopId() == null ? other.getShopId() == null : this.getShopId().equals(other.getShopId()))
            && (this.getDiscount() == null ? other.getDiscount() == null : this.getDiscount().equals(other.getDiscount()))
            && (this.getUserCouponId() == null ? other.getUserCouponId() == null : this.getUserCouponId().equals(other.getUserCouponId()))
            && (this.getGiveIntegral() == null ? other.getGiveIntegral() == null : this.getGiveIntegral().equals(other.getGiveIntegral()))
            && (this.getParentId1() == null ? other.getParentId1() == null : this.getParentId1().equals(other.getParentId1()))
            && (this.getParentId2() == null ? other.getParentId2() == null : this.getParentId2().equals(other.getParentId2()))
            && (this.getIsSale() == null ? other.getIsSale() == null : this.getIsSale().equals(other.getIsSale()))
            && (this.getVersion() == null ? other.getVersion() == null : this.getVersion().equals(other.getVersion()))
            && (this.getExpressPrice1() == null ? other.getExpressPrice1() == null : this.getExpressPrice1().equals(other.getExpressPrice1()))
            && (this.getIsRecycle() == null ? other.getIsRecycle() == null : this.getIsRecycle().equals(other.getIsRecycle()))
            && (this.getRebate() == null ? other.getRebate() == null : this.getRebate().equals(other.getRebate()))
            && (this.getBeforeUpdateExpress() == null ? other.getBeforeUpdateExpress() == null : this.getBeforeUpdateExpress().equals(other.getBeforeUpdateExpress()))
            && (this.getMchId() == null ? other.getMchId() == null : this.getMchId().equals(other.getMchId()))
            && (this.getOrderUnionId() == null ? other.getOrderUnionId() == null : this.getOrderUnionId().equals(other.getOrderUnionId()))
            && (this.getIsTransfer() == null ? other.getIsTransfer() == null : this.getIsTransfer().equals(other.getIsTransfer()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getSharePrice() == null ? other.getSharePrice() == null : this.getSharePrice().equals(other.getSharePrice()))
            && (this.getIsShow() == null ? other.getIsShow() == null : this.getIsShow().equals(other.getIsShow()))
            && (this.getCurrency() == null ? other.getCurrency() == null : this.getCurrency().equals(other.getCurrency()))
            && (this.getOrderOrigin() == null ? other.getOrderOrigin() == null : this.getOrderOrigin().equals(other.getOrderOrigin()))
            && (this.getDeliveryId() == null ? other.getDeliveryId() == null : this.getDeliveryId().equals(other.getDeliveryId()))
            && (this.getDeliveryStatus() == null ? other.getDeliveryStatus() == null : this.getDeliveryStatus().equals(other.getDeliveryStatus()))
            && (this.getFyStatus() == null ? other.getFyStatus() == null : this.getFyStatus().equals(other.getFyStatus()))
            && (this.getFyjine() == null ? other.getFyjine() == null : this.getFyjine().equals(other.getFyjine()))
            && (this.getFysingle() == null ? other.getFysingle() == null : this.getFysingle().equals(other.getFysingle()))
            && (this.getMchFyjine() == null ? other.getMchFyjine() == null : this.getMchFyjine().equals(other.getMchFyjine()))
            && (this.getMchFysingle() == null ? other.getMchFysingle() == null : this.getMchFysingle().equals(other.getMchFysingle()))
            && (this.getIsFan() == null ? other.getIsFan() == null : this.getIsFan().equals(other.getIsFan()))
            && (this.getIsDada() == null ? other.getIsDada() == null : this.getIsDada().equals(other.getIsDada()))
            && (this.getShopPeisong() == null ? other.getShopPeisong() == null : this.getShopPeisong().equals(other.getShopPeisong()))
            && (this.getIsOpenOffline() == null ? other.getIsOpenOffline() == null : this.getIsOpenOffline().equals(other.getIsOpenOffline()))
            && (this.getSupplierId() == null ? other.getSupplierId() == null : this.getSupplierId().equals(other.getSupplierId()))
            && (this.getIsSupTransfer() == null ? other.getIsSupTransfer() == null : this.getIsSupTransfer().equals(other.getIsSupTransfer()))
            && (this.getDabaoPrice() == null ? other.getDabaoPrice() == null : this.getDabaoPrice().equals(other.getDabaoPrice()))
            && (this.getSettlementAmount() == null ? other.getSettlementAmount() == null : this.getSettlementAmount().equals(other.getSettlementAmount()))
            && (this.getIsSettlement() == null ? other.getIsSettlement() == null : this.getIsSettlement().equals(other.getIsSettlement()))
            && (this.getSettlementTime() == null ? other.getSettlementTime() == null : this.getSettlementTime().equals(other.getSettlementTime()))
            && (this.getIsMchShop() == null ? other.getIsMchShop() == null : this.getIsMchShop().equals(other.getIsMchShop()))
            && (this.getIsDivideMoney() == null ? other.getIsDivideMoney() == null : this.getIsDivideMoney().equals(other.getIsDivideMoney()))
            && (this.getTransactionId() == null ? other.getTransactionId() == null : this.getTransactionId().equals(other.getTransactionId()))
            && (this.getPayUserId() == null ? other.getPayUserId() == null : this.getPayUserId().equals(other.getPayUserId()))
            && (this.getPayTypeTrue() == null ? other.getPayTypeTrue() == null : this.getPayTypeTrue().equals(other.getPayTypeTrue()))
            && (this.getIsVgoods() == null ? other.getIsVgoods() == null : this.getIsVgoods().equals(other.getIsVgoods()))
            && (this.getReductionPrice() == null ? other.getReductionPrice() == null : this.getReductionPrice().equals(other.getReductionPrice()))
            && (this.getMinusPrice() == null ? other.getMinusPrice() == null : this.getMinusPrice().equals(other.getMinusPrice()))
            && (this.getOrderFrom() == null ? other.getOrderFrom() == null : this.getOrderFrom().equals(other.getOrderFrom()))
            && (this.getDiscountPrice() == null ? other.getDiscountPrice() == null : this.getDiscountPrice().equals(other.getDiscountPrice()))
            && (this.getDiscountNum() == null ? other.getDiscountNum() == null : this.getDiscountNum().equals(other.getDiscountNum()))
            && (this.getGiveGoodsId() == null ? other.getGiveGoodsId() == null : this.getGiveGoodsId().equals(other.getGiveGoodsId()))
            && (this.getCouponRecordId() == null ? other.getCouponRecordId() == null : this.getCouponRecordId().equals(other.getCouponRecordId()))
            && (this.getIdCardNo() == null ? other.getIdCardNo() == null : this.getIdCardNo().equals(other.getIdCardNo()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getPayPrice() == null) ? 0 : getPayPrice().hashCode());
        result = prime * result + ((getExpressPrice() == null) ? 0 : getExpressPrice().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getMobile() == null) ? 0 : getMobile().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getIsPay() == null) ? 0 : getIsPay().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getIsSend() == null) ? 0 : getIsSend().hashCode());
        result = prime * result + ((getSendTime() == null) ? 0 : getSendTime().hashCode());
        result = prime * result + ((getExpress() == null) ? 0 : getExpress().hashCode());
        result = prime * result + ((getExpressNo() == null) ? 0 : getExpressNo().hashCode());
        result = prime * result + ((getIsConfirm() == null) ? 0 : getIsConfirm().hashCode());
        result = prime * result + ((getConfirmTime() == null) ? 0 : getConfirmTime().hashCode());
        result = prime * result + ((getIsComment() == null) ? 0 : getIsComment().hashCode());
        result = prime * result + ((getApplyDelete() == null) ? 0 : getApplyDelete().hashCode());
        result = prime * result + ((getAddtime() == null) ? 0 : getAddtime().hashCode());
        result = prime * result + ((getIsDelete() == null) ? 0 : getIsDelete().hashCode());
        result = prime * result + ((getIsPrice() == null) ? 0 : getIsPrice().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getFirstPrice() == null) ? 0 : getFirstPrice().hashCode());
        result = prime * result + ((getSecondPrice() == null) ? 0 : getSecondPrice().hashCode());
        result = prime * result + ((getThirdPrice() == null) ? 0 : getThirdPrice().hashCode());
        result = prime * result + ((getCouponSubPrice() == null) ? 0 : getCouponSubPrice().hashCode());
        result = prime * result + ((getIsOffline() == null) ? 0 : getIsOffline().hashCode());
        result = prime * result + ((getClerkId() == null) ? 0 : getClerkId().hashCode());
        result = prime * result + ((getIsCancel() == null) ? 0 : getIsCancel().hashCode());
        result = prime * result + ((getBeforeUpdatePrice() == null) ? 0 : getBeforeUpdatePrice().hashCode());
        result = prime * result + ((getShopId() == null) ? 0 : getShopId().hashCode());
        result = prime * result + ((getDiscount() == null) ? 0 : getDiscount().hashCode());
        result = prime * result + ((getUserCouponId() == null) ? 0 : getUserCouponId().hashCode());
        result = prime * result + ((getGiveIntegral() == null) ? 0 : getGiveIntegral().hashCode());
        result = prime * result + ((getParentId1() == null) ? 0 : getParentId1().hashCode());
        result = prime * result + ((getParentId2() == null) ? 0 : getParentId2().hashCode());
        result = prime * result + ((getIsSale() == null) ? 0 : getIsSale().hashCode());
        result = prime * result + ((getVersion() == null) ? 0 : getVersion().hashCode());
        result = prime * result + ((getExpressPrice1() == null) ? 0 : getExpressPrice1().hashCode());
        result = prime * result + ((getIsRecycle() == null) ? 0 : getIsRecycle().hashCode());
        result = prime * result + ((getRebate() == null) ? 0 : getRebate().hashCode());
        result = prime * result + ((getBeforeUpdateExpress() == null) ? 0 : getBeforeUpdateExpress().hashCode());
        result = prime * result + ((getMchId() == null) ? 0 : getMchId().hashCode());
        result = prime * result + ((getOrderUnionId() == null) ? 0 : getOrderUnionId().hashCode());
        result = prime * result + ((getIsTransfer() == null) ? 0 : getIsTransfer().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getSharePrice() == null) ? 0 : getSharePrice().hashCode());
        result = prime * result + ((getIsShow() == null) ? 0 : getIsShow().hashCode());
        result = prime * result + ((getCurrency() == null) ? 0 : getCurrency().hashCode());
        result = prime * result + ((getOrderOrigin() == null) ? 0 : getOrderOrigin().hashCode());
        result = prime * result + ((getDeliveryId() == null) ? 0 : getDeliveryId().hashCode());
        result = prime * result + ((getDeliveryStatus() == null) ? 0 : getDeliveryStatus().hashCode());
        result = prime * result + ((getFyStatus() == null) ? 0 : getFyStatus().hashCode());
        result = prime * result + ((getFyjine() == null) ? 0 : getFyjine().hashCode());
        result = prime * result + ((getFysingle() == null) ? 0 : getFysingle().hashCode());
        result = prime * result + ((getMchFyjine() == null) ? 0 : getMchFyjine().hashCode());
        result = prime * result + ((getMchFysingle() == null) ? 0 : getMchFysingle().hashCode());
        result = prime * result + ((getIsFan() == null) ? 0 : getIsFan().hashCode());
        result = prime * result + ((getIsDada() == null) ? 0 : getIsDada().hashCode());
        result = prime * result + ((getShopPeisong() == null) ? 0 : getShopPeisong().hashCode());
        result = prime * result + ((getIsOpenOffline() == null) ? 0 : getIsOpenOffline().hashCode());
        result = prime * result + ((getSupplierId() == null) ? 0 : getSupplierId().hashCode());
        result = prime * result + ((getIsSupTransfer() == null) ? 0 : getIsSupTransfer().hashCode());
        result = prime * result + ((getDabaoPrice() == null) ? 0 : getDabaoPrice().hashCode());
        result = prime * result + ((getSettlementAmount() == null) ? 0 : getSettlementAmount().hashCode());
        result = prime * result + ((getIsSettlement() == null) ? 0 : getIsSettlement().hashCode());
        result = prime * result + ((getSettlementTime() == null) ? 0 : getSettlementTime().hashCode());
        result = prime * result + ((getIsMchShop() == null) ? 0 : getIsMchShop().hashCode());
        result = prime * result + ((getIsDivideMoney() == null) ? 0 : getIsDivideMoney().hashCode());
        result = prime * result + ((getTransactionId() == null) ? 0 : getTransactionId().hashCode());
        result = prime * result + ((getPayUserId() == null) ? 0 : getPayUserId().hashCode());
        result = prime * result + ((getPayTypeTrue() == null) ? 0 : getPayTypeTrue().hashCode());
        result = prime * result + ((getIsVgoods() == null) ? 0 : getIsVgoods().hashCode());
        result = prime * result + ((getReductionPrice() == null) ? 0 : getReductionPrice().hashCode());
        result = prime * result + ((getMinusPrice() == null) ? 0 : getMinusPrice().hashCode());
        result = prime * result + ((getOrderFrom() == null) ? 0 : getOrderFrom().hashCode());
        result = prime * result + ((getDiscountPrice() == null) ? 0 : getDiscountPrice().hashCode());
        result = prime * result + ((getDiscountNum() == null) ? 0 : getDiscountNum().hashCode());
        result = prime * result + ((getGiveGoodsId() == null) ? 0 : getGiveGoodsId().hashCode());
        result = prime * result + ((getCouponRecordId() == null) ? 0 : getCouponRecordId().hashCode());
        result = prime * result + ((getIdCardNo() == null) ? 0 : getIdCardNo().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", userId=").append(userId);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", payPrice=").append(payPrice);
        sb.append(", expressPrice=").append(expressPrice);
        sb.append(", name=").append(name);
        sb.append(", mobile=").append(mobile);
        sb.append(", address=").append(address);
        sb.append(", remark=").append(remark);
        sb.append(", isPay=").append(isPay);
        sb.append(", payType=").append(payType);
        sb.append(", payTime=").append(payTime);
        sb.append(", isSend=").append(isSend);
        sb.append(", sendTime=").append(sendTime);
        sb.append(", express=").append(express);
        sb.append(", expressNo=").append(expressNo);
        sb.append(", isConfirm=").append(isConfirm);
        sb.append(", confirmTime=").append(confirmTime);
        sb.append(", isComment=").append(isComment);
        sb.append(", applyDelete=").append(applyDelete);
        sb.append(", addtime=").append(addtime);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", isPrice=").append(isPrice);
        sb.append(", parentId=").append(parentId);
        sb.append(", firstPrice=").append(firstPrice);
        sb.append(", secondPrice=").append(secondPrice);
        sb.append(", thirdPrice=").append(thirdPrice);
        sb.append(", couponSubPrice=").append(couponSubPrice);
        sb.append(", isOffline=").append(isOffline);
        sb.append(", clerkId=").append(clerkId);
        sb.append(", isCancel=").append(isCancel);
        sb.append(", beforeUpdatePrice=").append(beforeUpdatePrice);
        sb.append(", shopId=").append(shopId);
        sb.append(", discount=").append(discount);
        sb.append(", userCouponId=").append(userCouponId);
        sb.append(", giveIntegral=").append(giveIntegral);
        sb.append(", parentId1=").append(parentId1);
        sb.append(", parentId2=").append(parentId2);
        sb.append(", isSale=").append(isSale);
        sb.append(", version=").append(version);
        sb.append(", expressPrice1=").append(expressPrice1);
        sb.append(", isRecycle=").append(isRecycle);
        sb.append(", rebate=").append(rebate);
        sb.append(", beforeUpdateExpress=").append(beforeUpdateExpress);
        sb.append(", mchId=").append(mchId);
        sb.append(", orderUnionId=").append(orderUnionId);
        sb.append(", isTransfer=").append(isTransfer);
        sb.append(", type=").append(type);
        sb.append(", sharePrice=").append(sharePrice);
        sb.append(", isShow=").append(isShow);
        sb.append(", currency=").append(currency);
        sb.append(", orderOrigin=").append(orderOrigin);
        sb.append(", deliveryId=").append(deliveryId);
        sb.append(", deliveryStatus=").append(deliveryStatus);
        sb.append(", fyStatus=").append(fyStatus);
        sb.append(", fyjine=").append(fyjine);
        sb.append(", fysingle=").append(fysingle);
        sb.append(", mchFyjine=").append(mchFyjine);
        sb.append(", mchFysingle=").append(mchFysingle);
        sb.append(", isFan=").append(isFan);
        sb.append(", isDada=").append(isDada);
        sb.append(", shopPeisong=").append(shopPeisong);
        sb.append(", isOpenOffline=").append(isOpenOffline);
        sb.append(", supplierId=").append(supplierId);
        sb.append(", isSupTransfer=").append(isSupTransfer);
        sb.append(", dabaoPrice=").append(dabaoPrice);
        sb.append(", settlementAmount=").append(settlementAmount);
        sb.append(", isSettlement=").append(isSettlement);
        sb.append(", settlementTime=").append(settlementTime);
        sb.append(", isMchShop=").append(isMchShop);
        sb.append(", isDivideMoney=").append(isDivideMoney);
        sb.append(", transactionId=").append(transactionId);
        sb.append(", payUserId=").append(payUserId);
        sb.append(", payTypeTrue=").append(payTypeTrue);
        sb.append(", isVgoods=").append(isVgoods);
        sb.append(", reductionPrice=").append(reductionPrice);
        sb.append(", minusPrice=").append(minusPrice);
        sb.append(", orderFrom=").append(orderFrom);
        sb.append(", discountPrice=").append(discountPrice);
        sb.append(", discountNum=").append(discountNum);
        sb.append(", giveGoodsId=").append(giveGoodsId);
        sb.append(", couponRecordId=").append(couponRecordId);
        sb.append(", idCardNo=").append(idCardNo);
        sb.append(", refundTime=").append(refundTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}